@briandipalma/eslint-config-bdp

Shareable ESLint configuration

Stats

stars 🌟issues ⚠️updated 🛠created 🐣size 🏋️‍♀️
059Nov 6, 2019Aug 2, 2015Minified + gzip package size for @briandipalma/eslint-config-bdp in KB

Readme

eslint-config-bdp

devDependency Status

Personal, scoped (@briandipalma/eslint-config-bdp), ESLint shareable configuration. How to use them is documented on the ESLint website.

This contains three configurations, the default one which enables ES2015, the React one which extends the default one and adds React support and the React + Flow one which extends the React one and adds Flow support.

To use the default configuration you need to install eslint, for the React one you also need to install eslint-plugin-react, for the Flow one you also need to install babel-eslint.

If you find any bugs or have a feature request, please open an issue on github!

The npm package download data comes from npm's download counts api and package details come from npms.io.